<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="ALL" name="log-config">
    <Properties>
        <Property name="LOG_DIR">log</Property>
        <Property name="ARCHIVE">${LOG_DIR}/archive</Property>
        <Property name="PATTERN">[%p] %d{dd.MM.yyyy HH:mm:ss} - %c.%M:%L - %m%n</Property>
    </Properties>
    <Appenders>
        <Console name="STDOUT" target="SYSTEM_OUT">
            <PatternLayout pattern="${PATTERN}"/>
        </Console>
        <File name="MyFile" fileName="${LOG_DIR}/CorpusAnalyzer.log" immediateFlush="true" append="true">
            <PatternLayout pattern="${PATTERN}"/>
        </File>
    </Appenders>
    <loggers>
        <root level="all">
            <appender-ref ref="MyFile" level="all"/>
            <appender-ref ref="STDOUT" level="all"/>
        </root>
    </loggers>
</Configuration>
